=== debian/changelog ===
ros-indigo-dji-sdk-dji2mav (0.1.9-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chris Liu <lqm724313176@gmail.com>  Tue, 14 Jun 2016 10:25:22 -0000
