=== debian/control ===
Source: ros-indigo-dji-sdk-dji2mav
Section: misc
Priority: extra
Maintainer: Chris Liu <lqm724313176@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dji-sdk, ros-indigo-geometry-msgs, ros-indigo-mavlink, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-dji-sdk-dji2mav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dji-sdk, ros-indigo-geometry-msgs, ros-indigo-mavlink, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs
Description: The dji_sdk_dji2mav package
